#-----------------------------------
# Uses.awk
#       Prints a sorted list of the
#       Uses_... macros used in
#       TurboVision.
#-----------------------------------
BEGIN {n = 1 }

/#define Uses_.+$/  {  for (i=1; i < n; i++) 
                            if (a[i] == $2) break;
                        if (i == n)     a[n++] = $2
                      }
/defined/       {   
                    for (x=1; x <= NF; x++)
                        {
                        if (substr($x,1,5) == "Uses_")
                            {
                            for (i=1; i < n; i++)
                                if (a[i] == $x) break;
                            if (i == n)   a[n++] = $x
                            }
                        }
                    }
END { for (x=1; x < n-1; x++)
        {
        r = x
        for (y=x+1; y < n; y++)
            if (a[r] > a[y])    r = y
        temp = a[x]
        a[x] = a[r]
        a[r] = temp
        }

    for (i=1; i < n; i++)     print "#define",a[i] 
    print nlines
    }
